<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from flps_numbereval.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="flps_numbereval" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>flps_numbereval</refname><refpurpose>Returns the value of the current floating point number.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   f = flps_numbereval ( flpn )

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>flpn:</term>
      <listitem><para> a floating point number, or a list of floating point numbers</para></listitem></varlistentry>
   <varlistentry><term>f:</term>
      <listitem><para> a 1x1 matrix of doubles, the value</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns an evaluation of the floating point number flpn.
If flpn is a list,  returns a column matrix containing the
values of the floating point numbers in this list.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Evaluate one floating point number
x = 4;
radix = 2;
p = 3;
e = 3;
flps = flps_systemnew ( "format" , radix , p , e )
flpn = flps_numbernew ( "double" , flps , x )
// This should be f = 4
f = flps_numbereval ( flpn )

// Evaluate all the floating point numbers in a system
flps = flps_systemnew ( "format" , 2 , 3 , 3 );
listflpn = flps_systemall ( flps );
// This should be -14, -12, -10, -8, ..., 12, 14
f = flps_numbereval ( listflpn )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2008 - 2010</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Handbook of floating-point arithmetic", Jean-Michel Muller, Nicolas Brisebarre, Florent de Dinechin, Claude-Pierre Jeannerod, Vincent Lefevre, Guillaume Melquiond, Nathalie Revol, Damien Stehle, Serge Torres, Birkhauser Boston, 2010</para>
</refsection>
</refentry>
